commit d49abfe40b4b73fc27676fcd5ef742493cdda99a
Author: freddy77 <freddy77>
Date:   Thu Jan 31 09:13:05 2008 +0000

    reuse code

diff --git a/ChangeLog b/ChangeLog
index 800bfc2..0e5bc0f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Jan 21 10:12:42 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/convert_error.c src/odbc/unittests/genparams.c:
+	- more reuse
+
 Tue Jan 29 15:28:32 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/array_out.c src/odbc/unittests/common.c:
 	* src/odbc/unittests/common.h src/odbc/unittests/compute.c:
@@ -128,4 +132,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2480 2008/01/29 14:30:48 freddy77 Exp $
+$Id: ChangeLog,v 1.2481 2008/01/31 09:13:05 freddy77 Exp $
diff --git a/src/odbc/unittests/convert_error.c b/src/odbc/unittests/convert_error.c
index 29c8c93..68a70ef 100644
--- a/src/odbc/unittests/convert_error.c
+++ b/src/odbc/unittests/convert_error.c
@@ -4,33 +4,11 @@
  */
 #include "common.h"
 
-static char software_version[] = "$Id: convert_error.c,v 1.7 2005/08/03 06:24:50 freddy77 Exp $";
+static char software_version[] = "$Id: convert_error.c,v 1.8 2008/01/31 09:13:08 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int test_num = 0;
 
-static int
-success(int ident, SQLRETURN r)
-{
-	if (r == SQL_SUCCESS || r == SQL_SUCCESS_WITH_INFO)
-		return 1;
-	printf("failed: num:%d ident:%d sqlreturn:%d\n", test_num, ident, (int) r);
-
-	if (Statement) {
-		SQLCHAR buf[4096];
-		SQLCHAR state[6];
-		SQLINTEGER nativeerrorcode;
-		SQLSMALLINT tmp;
-
-		memset(state, 0, sizeof(state));
-		memset(buf, 0, sizeof(buf));
-		SQLGetDiagRec(SQL_HANDLE_STMT, Statement, 1, state, &nativeerrorcode, buf, 4096, &tmp);
-		printf("%s\n", buf);
-	}
-	Disconnect();
-	exit(1);
-}
-
 static void
 Test(const char *bind1, SQLSMALLINT type1, const char *bind2, SQLSMALLINT type2)
 {
@@ -44,14 +22,13 @@ Test(const char *bind1, SQLSMALLINT type1, const char *bind2, SQLSMALLINT type2)
 	++test_num;
 	sprintf(sql, "insert into #test_output values (%s, %s)", bind1, bind2);
 
-	success(2, SQLPrepare(Statement, (SQLCHAR *) sql, strlen(sql)));
+	CHK(SQLPrepare, (Statement, (SQLCHAR *) sql, strlen(sql)));
 	if (bind1[0] == '?')
-		success(3, SQLBindParameter(Statement, id++, SQL_PARAM_INPUT, SQL_C_LONG, type1, 3, 0, &test_num, 0, &ind));
+		CHK(SQLBindParameter, (Statement, id++, SQL_PARAM_INPUT, SQL_C_LONG, type1, 3, 0, &test_num, 0, &ind));
 	if (bind2[0] == '?')
-		success(4,
-			SQLBindParameter(Statement, id++, SQL_PARAM_INPUT, SQL_C_CHAR, type2, strlen(val) + 1, 0, (SQLCHAR *) val,
+		CHK(SQLBindParameter, (Statement, id++, SQL_PARAM_INPUT, SQL_C_CHAR, type2, strlen(val) + 1, 0, (SQLCHAR *) val,
 					 0, &ind));
-	success(5, SQLExecute(Statement));
+	CHK(SQLExecute, (Statement));
 }
 
 int
diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index 9eb1b4f..96f153b 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -4,7 +4,7 @@
 
 /* Test various type from odbc and to odbc */
 
-static char software_version[] = "$Id: genparams.c,v 1.24 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.25 2008/01/31 09:13:08 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -124,10 +124,8 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 
 	if (use_cursors) {
 		ResetStatement();
-		if (SQLSetStmtAttr(Statement, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, 0) != SQL_SUCCESS)
-			ODBC_REPORT_ERROR("SQLSetStmtAttr error");
-		if (SQLSetStmtAttr(Statement, SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0) != SQL_SUCCESS)
-			ODBC_REPORT_ERROR("SQLSetStmtAttr error");
+		CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, 0));
+		CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0));
 	}
 
 	/* insert data using prepared statements */
@@ -136,9 +134,7 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 		SQLRETURN rc;
 
 		out_len = 1;
-		if (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, out_c_type, out_sql_type, 20, 0, out_buf, sizeof(out_buf), &out_len) !=
-		    SQL_SUCCESS)
-			ODBC_REPORT_ERROR("Unable to bind input parameter");
+		CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, out_c_type, out_sql_type, 20, 0, out_buf, sizeof(out_buf), &out_len));
 
 		rc = SQLExecDirect(Statement, (SQLCHAR *) sbuf, SQL_NTS);
 		if (rc != SQL_SUCCESS && rc != SQL_NO_DATA)

